%define name	VisualBoyAdvance
%define version 1.7.2
%define rel 9
%define release %mkrel %rel

%define build_gtk 1
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%define distsuffix plf

%if %mdkversion < 920
%define build_gtk 0
%endif
%{?_with_gtk: %{expand: %%global build_gtk 1}}
%{?_without_gtk: %{expand: %%global build_gtk 0}}

Name:		%{name}
Summary:	A GBA/GB/GBC emulator
Version:	%{version}
Release:	%{release}
Group:		Emulators
Source:		http://prdownloads.sourceforge.net/vba/%{name}-src-%{version}.tar.bz2
#gw this contains zutil.h from zlib 1.2.1
Patch:		VisualBoyAdvance-src-1.7-zutil.patch.bz2
Patch1:		VisualBoyAdvance-src-1.7.2-gcc3.4.patch.bz2
Patch2:		visualboyadvance-1.7.2-64bit.patch.bz2
Url:		http://sourceforge.net/projects/vba/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot 
License:	GPL
%ifarch %ix86
BuildRequires:	nasm
%endif
%if %build_gtk
%if %mdkversion > 1000
BuildRequires:	libgtkmm2.4-devel
BuildRequires:	libglademm2.4-devel
%else
BuildRequires:	libgtkmm2.0-devel
BuildRequires:	libglademm2.0-devel
%endif
BuildRequires:	ImageMagick
%endif
BuildRequires:	libSDL-devel >= 1.2.2
BuildRequires:  libpng-devel
BuildRequires:	zlib-devel
BuildRequires:  flex

%description
VisualBoyAdvance is a GPL emulator for the Game Boy, the Game Boy color
and the Game Boy Advance.

NO ROMS IN THIS PACKAGE !

This package is in PLF as Mandriva policy doesn't allow console emulators.
%prep
%setup -q
%patch -p1 -b .zutil
%patch1 -p1
%patch2 -p1

%build
export LDFLAGS=-lz
# SDL version
%configure2_5x --without-profiling --disable-dev
%make
%if %build_gtk
# GTK GUI version
%configure2_5x --without-profiling --disable-dev \
  --disable-sdl \
%if %mdkversion > 1000
 --enable-gtk=2.4
%else
 --enable-gtk
%endif
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m 755 ./src/sdl/%name %buildroot%_bindir
%if %build_gtk
%find_lang vba-%version
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/gvba" \
	needs="X11" \
	section="More Applications/Emulators" \
	icon="%name.png" \
	title="%name" \
	longtitle="Gameboy Advance Emulator" \
	startup_notify="true" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=Gameboy Advance Emulator
Exec=gvba
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
convert -scale 48x48 src/gtk/images/vba-64.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 src/gtk/images/vba-64.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 src/gtk/images/vba-64.png %buildroot%_miconsdir/%name.png
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %build_gtk

%post
%update_menus

%postun
%clean_menus

%files -f vba-%version.lang
%else
%files
%endif
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README INSTALL README-win.txt
%config(noreplace) %_sysconfdir/VisualBoyAdvance.cfg
%{_bindir}/%name
%if %build_gtk
%{_bindir}/gvba
%_datadir/applications/mandriva*
%_datadir/VisualBoyAdvance/vba-64.png
%_datadir/VisualBoyAdvance/vba.glade
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%endif

%changelog
* Mon Aug 28 2006 Gtz Waschk <goetz@zarb.org> 1.7.2-9plf2007.0
- fix the menu category

* Wed Aug 23 2006 Gtz Waschk <goetz@zarb.org> 1.7.2-8plf2007.0
- rebuild for new cairomm

* Tue Aug  1 2006 Gtz Waschk <goetz@zarb.org> 1.7.2-7plf2007.0
- xdg menu

* Thu Jan 12 2006 Gtz Waschk <goetz@zarb.org> 1.7.2-6plf
- fix for x86_64, thanks to neoclust

* Mon May 16 2005 Gtz Waschk <goetz@zarb.org> 1.7.2-5plf
- mkrel

* Thu Aug 19 2004 Gtz Waschk <goetz@zarb.org> 1.7.2-4plf
- rebuild for new menu

* Mon Jun  7 2004 Gtz Waschk <goetz@plf.zarb.org> 1.7.2-3plf
- patch for new g++

* Mon May 31 2004 Gtz Waschk <goetz@plf.zarb.org> 1.7.2-2plf
- add gtkmm gui, but keep command line version

* Sun May 23 2004 Gtz Waschk <goetz@plf.zarb.org> 1.7.2-1plf
- fix description
- fix installation
- fix source URL
- new version

* Mon Feb  9 2004 Gtz Waschk <goetz@plf.zarb.org> 1.7.1-1plf
- disable development stuff
- new version

* Thu Feb  5 2004 Gtz Waschk <goetz@plf.zarb.org> 1.7-2plf
- patch to fix the build

* Fri Dec 12 2003 Gtz Waschk <goetz@plf.zarb.org> 1.7-1plf
- fix build
- new version

* Sat Aug 23 2003 Gtz Waschk <goetz@plf.zarb.org> 1.6a-1plf
- new version

* Fri Jun 20 2003 Gtz Waschk <goetz@plf.zarb.org> 1.5.1-2plf
- fix buildrequires

* Tue Jun 10 2003 Gtz Waschk <goetz@plf.zarb.org> 1.5.1-1plf
- new version

* Sun Apr 13 2003 Gtz Waschk <goetz@plf.zarb.org> 1.5-1plf
- fix png build
- fix buildrequires
- new version

* Sun Feb  9 2003 Gtz Waschk <goetz@plf.zarb.org> 1.4-1plf
- new version

* Thu Jan  9 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.3.1-1plf
- only buildrequire nasm on x86, it should build on ppc too
- configure 2.5 macro
- new version

* Wed Nov 27 2002 Per yvind Karlsen <peroyvind@sintrax.net> 1.2-1plf
- Removed redundant BuildRequires
- Cleanups

- from Michael Scherer <scherer.michael@free.fr>:
	- initial spec
